#ifndef __DATASTRUCTURE_H__
#define __DATASTRUCTURE_H__

#include <string>
#include <vector>
#include <cstdint>

class PalmFeature {
public:
    int64_t id; // 对应本地数据库的id
    std::string username;
    std::vector<uint8_t> feature;
};

using PalmFeatures = std::vector<PalmFeature>;

bool operator==(const PalmFeature &lhs, const PalmFeature &rhs);

namespace std {
template <>
struct hash<PalmFeature> {};
} // namespace std

#endif // __DATASTRUCTURE_H__
